﻿using C1.C1Preview.Export;
using C1.C1Report;
using C1.Web.Wijmo.Controls.C1ReportViewer;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Default2 : System.Web.UI.Page
{
    public void ShowPDF(C1Report AReport)
    {
        HttpResponse PageResponse = Page.Response;
        MemoryStream NewMemoryStream = new MemoryStream();
        int iStreamLength;
        //
        AReport.C1Document.Export(NewMemoryStream, ExportProviders.PdfExportProvider);
        iStreamLength = Convert.ToInt32(NewMemoryStream.Length);
        PageResponse.Buffer = true;
        PageResponse.Clear();
        PageResponse.ContentType = "application/pdf";
        PageResponse.OutputStream.Write(NewMemoryStream.GetBuffer(), 0, iStreamLength);
        PageResponse.Flush();
        PageResponse.SuppressContent = true;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        C1.C1Report.C1Report NewReport;
        string sReportFile;
        //
        sReportFile = Server.MapPath(".") + Path.DirectorySeparatorChar + "Report" + Path.DirectorySeparatorChar + "Report1.xml"; // ...\Report\Report1.xml
        NewReport = C1ReportViewer.CreateC1Report(); // C1ReportViewer.CreateC1Report() For license
        NewReport.Load(sReportFile, "Report1");
        NewReport.Fields["Field1"].Text = @"<html>
                                          <div>ComponentOne Logo</div>
                                          <div><img src=""http://demo.componentone.com/ASPNET/ControlExplorer/explore/css/images/icons/widget/FileExplorer.png"" /><div>
                                        </html>";
        NewReport.Fields["SuperLabel1"].Text = "<html><div>ComponentOne Logo</div><div><img src=http://demo.componentone.com/ASPNET/ControlExplorer/explore/css/images/icons/widget/FileExplorer.png style=background-color:black /><div></html>";       
        ShowPDF(NewReport);
    }
}